2010年7月28日

[tDiary-users-talk: 0451] Re:tDiary のお引越し

たださま
 ご指導ありがとうございました。内山です。


>1つめは、何かプラグインが悪さをしていないかということで
>す。試しにプラグインを全部無効にしてみても同じ結果かどう
>かみてみてください。もし問題がなくなったら、プラグインを
>ひとつずつ復活させていき、問題を起こしているプラグインを

>特定できるでしょう。

calender2.rb image.rb squeeze.rbの三つのプラグインを
入れていましたが、結局、どれが原因か特定はできず、
三つともはずして、現在、tDiaryは通常のレスポンスで表示される
状態です。ありがとうございました。

>2つめは、Rubyのバージョンです。たしか1.8.7には問題のある
>リリースがあったと記憶しています。もしRubyを置き換えるこ
>とができるのであれば、安定版のスナップショットを入れてみ
>て下さい: ftp://ftp.ruby-lang.org/pub/ruby/stable-snapshot.tar.gz

FreeBSD での ruby の依存関係を調べてみましたが、

[root@xxxxx]/usr/ports/lang/ruby18# pkg_delete ruby-1.8.7.248_2,1
pkg_delete: package 'ruby-1.8.7.248_2,1' is required by these other packages
and may not be deinstalled:
ja-tdiary-2.2.3
portupgrade-2.4.6_4,2
ruby18-bdb-0.6.5_1
ruby18-nora-0.0.20041114
[root@xxxxx]/usr/ports/lang/ruby18# pkg_delete ruby18-bdb-0.6.5_1
pkg_delete: package 'ruby18-bdb-0.6.5_1' is required by these other packages
and may not be deinstalled:
portupgrade-2.4.6_4,2
[root@xxxxx]/usr/ports/lang/ruby18# pkg_delete ruby18-nora-0.0.20041114
pkg_delete: package 'ruby18-nora-0.0.20041114' is required by these other packages
and may not be deinstalled:
ja-tdiary-2.2.3
[root@xxxxx]/usr/ports/lang/ruby18#

のように、portupgrade で ruby を使っている事と、ruby18-nora が
必要だということで、今回は ruby19 にあげるのは見送ります。
FreeBSD のポートメンテナーが portupgrade と tDiary で
ruby19 を使うようになってから、これらのバージョンアップと
一緒に ruby も入れ替えたらいいのかなと考えております。

とりあえず、お礼まで。ご指導、ありがとうございました。


----
Toshio Uchiyama

----- 元のメッセージ -----
From: "TADA Tadashi" <t@xxxxx>
To: "tdiary-users-talk" <tdiary-users-talk@xxxxx>
送信済み: 2010年7月28日, 水曜日 午後 3:31:10 GMT+09:00日本
件名: [tDiary-users-talk: 0450] Re: tDiary のお引越し

ただただしです。

返信する前に最初の回答にはたどりついたようですね(^^;

以前の日記が読めなかったのは、おっしゃるとおり、新旧の
データが入り交じっていたためでしょう。今後はtDiary2フォー
マットしかサポートしなくなりますので、convert2をかける
のが正解です。

2010/7/28 <toshio_uchiyama@xxxxx>:
> misc/convert2.rb を行う前、6月までのデータでは、正常な
> レスポンスで見られたのですが、misc/convert.rb2 を行って、
> 新しいバイナリーデータをテキストにして追加したら、レスポンスが
> 異様に遅く、タイムアウトするという現象に遭遇しました。

これだけの情報だとやはり推測になってしまいますが、ありえ
そうな原因が2つあります。

1つめは、何かプラグインが悪さをしていないかということで
す。試しにプラグインを全部無効にしてみても同じ結果かどう
かみてみてください。もし問題がなくなったら、プラグインを
ひとつずつ復活させていき、問題を起こしているプラグインを
特定できるでしょう。

2つめは、Rubyのバージョンです。たしか1.8.7には問題のある
リリースがあったと記憶しています。もしRubyを置き換えるこ
とができるのであれば、安定版のスナップショットを入れてみ
て下さい: ftp://ftp.ruby-lang.org/pub/ruby/stable-snapshot.tar.gz

--
ただただし - ツッコミは、短く鋭く愛を込めて♪
http://tdtds.jp/
@tdtds

_______________________________________________
tDiary-users-talk mailing list
tDiary-users-talk@xxxxx
http://lists.sourceforge.jp/mailman/listinfo/tdiary-users-talk

_______________________________________________
tDiary-users-talk mailing list
tDiary-users-talk@xxxxx
http://lists.sourceforge.jp/mailman/listinfo/tdiary-users-talk


投稿者 xml-rpc : 2010年7月28日 16:51
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/97273
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。